export default defineAppConfig({
  pages: [
    "pages/Index/index",
    "pages/User/index",
    "pages/Authentication/index",
    "pages/Law/index",
    "pages/Success/index",
    "pages/Article/index",
    "pages/CommonProblem/index",
  ],

  window: {
    backgroundTextStyle: "light",
    navigationBarBackgroundColor: "#fff",
    navigationBarTitleText: "WeChat",
    navigationBarTextStyle: "black",
  },
  lazyCodeLoading: "requiredComponents",
  requiredPrivateInfos: ["getLocation"],
  permission: {
    "scope.userLocation": {
      desc: "您的位置信息将用于定位服务",
    },
  },

  subpackages: [
    {
      root: "pages/ServiceLocation",
      pages: ["Map/index", "TypeList/index"],
    },
    {
      root: "pages/Approve",
      pages: ["Apply/index", "ApplyDesc/index"],
    },

    {
      root: "pages/Feedback",
      pages: ["Record/index", "RecordDetail/index", "Report/index"],
    },
    {
      root: "pages/kitchenWaste",
      pages: [
        "index",
        "pages/record/index",
        "pages/addCollection/index",
        "pages/contracted/index",
        "pages/addMerchants/index",
      ],
    },
  ],
});
